View Issue Details

IDProjectCategoryView StatusLast Update
0003816Talerexchange Postgres DB backendpublic2015-09-19 20:32
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PriorityhighSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.0Fixed in Version0.0 
Summary0003816: need a way to internally uniquely identify outgoing deposit operations
DescriptionCurrently the 'coin_pub' is (ab)used as a primary key (0003769), but that may not be unique. However, we do need a unique way to identify transactions to run the outgoing SEPA transfers (and associate those with deposit operations).
TagsNo tags attached.

Relationships

related to 0003838 closedChristian Grothoff need to expand DB API to return helpful deposit diagnostics from DB 
related to 0003464 closedChristian Grothoff Need a tool to import wire transfers from the bank 

Activities

Christian Grothoff

2015-09-19 19:36

manager   ~0009641

Coin public key plus contract hash should be fine, as we anyway need to forbid the same coin from being used more than once per contract (at the merchant).

Christian Grothoff

2015-09-19 19:48

manager   ~0009642

Actually, that's useless for the SELECTing. I've now added "id SERIAL" to the deposits table, which gives us really what we want.

Christian Grothoff

2015-09-19 20:03

manager   ~0009644

Implemented in 37a84c5..f8a730a

Issue History

Date Modified Username Field Change
2015-06-03 14:35 Christian Grothoff New Issue
2015-06-11 15:09 Christian Grothoff Relationship added child of 0003644
2015-06-11 16:30 Christian Grothoff Status new => confirmed
2015-06-11 16:30 Christian Grothoff Target Version => 0.1
2015-06-12 11:54 Christian Grothoff Relationship added related to 0003838
2015-06-12 11:55 Christian Grothoff Relationship deleted child of 0003644
2015-06-21 12:24 Christian Grothoff Relationship added related to 0003464
2015-07-11 23:19 Christian Grothoff Assigned To => Christian Grothoff
2015-07-11 23:19 Christian Grothoff Status confirmed => assigned
2015-07-12 01:08 Christian Grothoff Priority normal => high
2015-09-19 19:36 Christian Grothoff Note Added: 0009641
2015-09-19 19:48 Christian Grothoff Note Added: 0009642
2015-09-19 20:03 Christian Grothoff Note Added: 0009644
2015-09-19 20:03 Christian Grothoff Status assigned => resolved
2015-09-19 20:03 Christian Grothoff Fixed in Version => 0.0
2015-09-19 20:03 Christian Grothoff Resolution open => fixed
2015-09-19 20:03 Christian Grothoff Target Version 0.1 => 0.0
2015-09-19 20:32 Christian Grothoff Status resolved => closed
2016-02-18 15:44 Christian Grothoff Category mint Postgres DB backend => exchange Postgres DB backend